Subject: Problems with file name case on Windows.

From: martinvz <[email-masked]>
Date: Thu, 22 Apr 2010 12:54:17 -0800 (PST)

Under Cygwin, if you add a file "a" in one commit, then rename the file to
"A" and commit again, both files will be in the new commit. Running the
following line under Cygwin produces a commit with both files ("a" and "A").
Running it on Linux produces a commit with one file ("A"), as expected.

git init; git config core.ignorecase false; touch a; git add a; git commit
-m a; mv a A; git add -A; git commit -m A

The problem seems to be with the "git add -A" part, since it is possible to
get around the problem by running "git add A" followed by "git rm a" (or by
using lower-level commands, I suppose). What are the chances of getting this
fixed? It's mostly annoying when importing existing code where it's harder
to use the add-rm workaround, since you don't know which files have changed
file name case.
-- 
View this message in context: http://git.661346.n2.nabble.com/Problems-with-file-name-case-on-Windows-tp4947131p4947131.html
Sent from the git mailing list archive at Nabble.com.